%define lang pt
%define langrelease 2
Summary: Portuguese dictionaries for Aspell.
Name: aspell-%{lang}
Epoch: 50
Version: 0.50
Release: 8.XOS.1
License: GPL
Group: Applications/Text
URL: http://aspell.net/
Source: ftp://ftp.gnu.org/gnu/aspell/dict/%{lang}/aspell-%{lang}-%{version}-%{langrelease}.tar.bz2
Patch: aspell-pt-0.50-2.utf-filename.patch
Buildrequires: aspell >= 0.50
Requires: aspell >= 0.50
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%define debug_package %{nil}

%description
Provides the word list/dictionaries for the following: European Portuguese,
Brazilian Portuguese

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n aspell-%{lang}-%{version}-%{langrelease}
%patch -p1 -b .utf-filename
mv $(echo -e 'portugu\352s.alias') $(echo -e 'portugu\303\252s.alias')

%build
echo "ASPELL = aspell" > Makefile
echo "DEST_DIR = $RPM_BUILD_ROOT" >> Makefile
echo "WORD_LIST_COMPRESS = word-list-compress" >> Makefile
echo "dictdir = ${RPM_BUILD_ROOT}%{_libdir}/aspell" >> Makefile
echo "datadir = ${RPM_BUILD_ROOT}%{_datadir}/aspell" >> Makefile
cat Makefile.pre >> Makefile
make

%install
make install


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)

%{_libdir}/aspell/*
%{_datadir}/aspell/*

%changelog
* Thu Jul 28 2005 X/OS Linux Team <xoslinux@xos.nl> 50:0.50-8.XOS.1
- Build for X/OS Linux 4.
- X/OS Linux source rpm based on aspell-pt-0.50-8.src.rpm
  (md5sum of original source rpm: 30bad7af72751ed98350f38a97cb4b00).

* Tue Sep 28 2004 Adrian Havill <havill@redhat.com> 50:0.50-8
- n-v-r, alias to utf-8 filename, epoch, no debuginfo

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jul 10 2003 Adrian Havill <havill@redhat.com> 0.50-6
- removed non-ascii alias

* Mon Jun 23 2003 Adrian Havill <havill@redhat.com> 0.50-5
- remove buildarch; data files are platform dependent

* Fri Jun 20 2003 Adrian Havill <havill@redhat.com> 0.50-4
- first build for new aspell (0.50)
